const apiUrl = "http://hwpro.test241.wanyuhengtong.com/"; // 公共的请求地址
// http://hw.test241.wanyuhengtong.com

// 封装微信请求方法
const request = (params) => {
  let url = params.url;
  let data = params.data;
  let method = params.method;
  let header = {
    "Content-Type": "application/json"
  };

  // 鉴权验证，获取登录之后后端返回的token，存在即在头部Authorization写token，具体的看后端需求
  const token = wx.getStorageSync("hw_token")
  if (token) {
    // header.Authorization = token ;
    header.batoken = token;
  }
  header.server = '1';
  return new Promise((resolve, reject) => {
    wx.request({
      url: apiUrl + url, // api url
      method: method, // get/post
      data: {
        ...data,
        token
      }, // 请求参数
      header: header, // 头部
      success(res) {
        // console.log(res);
        // 请求成功
        // 判断状态码---errCode状态根据后端定义来判断
        const {
          statusCode,
          data: rdata
        } = res
        if (statusCode ===200) {
          resolve(rdata);
        } else {
          reject("未知错误,请稍后再试");
        }
      },
      fail(err) {
        reject(err);
      },
      complete() {
        wx.hideLoading()
      },
    });
  });
};

module.exports = {
  apiUrl,
  request,
}